Using DLLs created with older Ranorex versions

Ranorex Spy, Recorder, and Studio.
anja
Posts: 67
Joined: Fri Nov 26, 2010 3:39 pm

Using DLLs created with older Ranorex versions

Post by anja » Fri Jan 09, 2015 3:06 pm

Hi,

I'm facing the following situation:
We have one Common project and created DLLs with Ranorex 4.1.6. (Containing general CodeModules, Recordings...)
The DLL is referenced in many different projects.

For one project I wanted to migrate to Ranorex 5.2.1.
The common dlls are still created with Ranorex 4.1.6.
The test suite of the updated project refers to a CodeModule of the Common DLL.

Now the Problem:
Running my TestSuites leads to an error because the CodeModule of the Common dll could not be found.

If I replace the Dll with one created with the ranorex 5 this is working as expected. Is there any other workaround which does not mean to recompile the DLL with each Ranorex Version?

Thank you very much for your response.

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Using DLLs created with older Ranorex versions

Post by Support Team » Mon Jan 12, 2015 3:57 pm

Hi Anja,

Unfortunately it is necessary to rebuild all DLLs with the same Ranorex version as your project was created. Currently, there is no workaround available in order to do this automatically, but our Development team is currently investigating an approach for this scenario.

Regards,
Markus (S)
.
Image

anja
Posts: 67
Joined: Fri Nov 26, 2010 3:39 pm

Re: Using DLLs created with older Ranorex versions

Post by anja » Tue Apr 14, 2015 1:22 pm

Hi,

is there anything new to this topic?

Regards,
Anja

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: Using DLLs created with older Ranorex versions

Post by krstcs » Tue Apr 14, 2015 3:15 pm

No, you still need to rebuild libraries with the same version of Ranorex as the test project.
Shortcuts usually aren't...

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Using DLLs created with older Ranorex versions

Post by Support Team » Wed Apr 15, 2015 8:55 am

No, sorry. You always have to recompile projects when you use a different major version of Ranorex.

This is by design since with major versions we do not guarantee binary compatibility. I.e. at some point we have to introduce breaking changes in the APIs and we try to only do that with major versions. You might not even notice the changes when you recompile, but the binary compatibility would be a lot harder to maintain.

So, please use project references to your common DLLs in order to recompile them, since it's very unlikely we are going to change that behavior in the future.

Regards,
Alex
Ranorex Team
.
Image